/*******************************************************************************
 * Copyright 2011 John Casey
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.commonjava.couch.io.json;

import java.lang.reflect.Type;

import org.commonjava.couch.db.action.CouchDocumentAction;

import com.google.gson.JsonElement;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

public class CouchDocumentActionAdapter
    implements JsonSerializer<CouchDocumentAction>
{

    @Override
    public JsonElement serialize( final CouchDocumentAction src, final Type typeOfSrc,
                                  final JsonSerializationContext context )
    {
        return context.serialize( src.getDocument() );
    }

}
